# Instant Sell

You can sell your crypto for fiat which gets instantly paid to bank accounts. To do this, Make a **POST** request to the following endpoint.

{% code overflow="wrap" %}

```url
https://api.localramp.co/v1/transaction/sell/initiate
```

{% endcode %}

Please find below the request body for the endpoint.

<table><thead><tr><th width="201">Field</th><th width="109">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>tx_ext_reference</td><td>String</td><td><strong>Required</strong> - your unique reference for the transaction</td></tr><tr><td>email</td><td>String</td><td><strong>Required</strong> -  e.g "dinesh@piedpiper.xyz"</td></tr><tr><td>from_currency</td><td>String</td><td><strong>Required</strong> -  e.g "BTC"</td></tr><tr><td>to_currency</td><td>String</td><td><strong>Required</strong> e.g "NGN", "GHS"</td></tr><tr><td>country_code</td><td>String</td><td><strong>Required</strong> e.g "NG", "GH"</td></tr><tr><td>from_amount</td><td>String</td><td><strong>Optionally Required</strong> - amount of from_currency to be sold e.g "0.235".<br><br>Required if to_amount is not provided.</td></tr><tr><td>to_amount</td><td>String</td><td><strong>Optionally Required</strong> - amount of to_currency to be received e.g "2000.56".<br><br>Required if from_amount is not provided.</td></tr><tr><td>destination_type</td><td>String</td><td><strong>Required</strong> - "bank_account" or "mobile_money"</td></tr><tr><td>account_number</td><td>String</td><td><strong>Optionally Required</strong> - required for destination_type of bank_account<br>e.g "012345678"</td></tr><tr><td>bank_code</td><td>String</td><td><strong>Optionally Required</strong> - required for destination_type of bank_account. Check <a href="/pages/IEmABvMshmjGm579WScH">Get Supported Banks</a><br>e.g "012"</td></tr><tr><td>phone_number</td><td>String</td><td><strong>Optionally Required</strong> - required for destination_type of mobile_money<br>e.g "+23312345677"</td></tr><tr><td>phone_network</td><td>String</td><td><strong>Optionally Required</strong> - required for destination_type of mobile_money.<br>Check <a href="/pages/iNON2ILQPoCTov1papJC">Get Supported Payment Methods</a><br>e.g "mobile_money_mtn"</td></tr></tbody></table>

With the following header

```
x-auth-token: <SECRET_KEY>
```

If the API call is successful, LocalRamp returns the following response:

```javascript
{
    "status": "success",
    "data": {
        "tx_ext_reference": "youReference",
        "reference": "SELL_hDUkDSE36MHkds79",
        "account_name": "RAJI JOHNSON",
        "bank_name": "UNITED BANK"
    }
}
```

Store the `tx_ext_reference` returned which would be used to verify the transaction.\ <br>

{% hint style="danger" %}
If this request fails (including 5xx errors), always [**verify**](/crypto-off-ramp/direct-api-sell/get-transaction-state.md) that the transaction has not been created before giving any value. Use `tx_ext_reference`
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.localramp.co/crypto-off-ramp/direct-api-sell/instant-sell.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
